import { AssetResponseDto } from "../dtos/asset-response.dto";
import { AuthDto } from "../dtos/auth.dto";
import { PersonResponseDto } from "../dtos/person.dto";
import { LargeAssetSearchDto, MetadataSearchDto, PlacesResponseDto, RandomSearchDto, SearchExploreResponseDto, SearchPeopleDto, SearchPlacesDto, SearchResponseDto, SearchStatisticsResponseDto, SearchSuggestionRequestDto, SmartSearchDto, StatisticsSearchDto } from "../dtos/search.dto";
import { SearchService } from "../services/search.service";
export declare class SearchController {
    private service;
    constructor(service: SearchService);
    searchAssets(auth: AuthDto, dto: MetadataSearchDto): Promise<SearchResponseDto>;
    searchAssetStatistics(auth: AuthDto, dto: StatisticsSearchDto): Promise<SearchStatisticsResponseDto>;
    searchRandom(auth: AuthDto, dto: RandomSearchDto): Promise<AssetResponseDto[]>;
    searchLargeAssets(auth: AuthDto, dto: LargeAssetSearchDto): Promise<AssetResponseDto[]>;
    searchSmart(auth: AuthDto, dto: SmartSearchDto): Promise<SearchResponseDto>;
    getExploreData(auth: AuthDto): Promise<SearchExploreResponseDto[]>;
    searchPerson(auth: AuthDto, dto: SearchPeopleDto): Promise<PersonResponseDto[]>;
    searchPlaces(dto: SearchPlacesDto): Promise<PlacesResponseDto[]>;
    getAssetsByCity(auth: AuthDto): Promise<AssetResponseDto[]>;
    getSearchSuggestions(auth: AuthDto, dto: SearchSuggestionRequestDto): Promise<string[]>;
}
